Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Epiphany - Webkit from Source did not compile
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
temnozor
Tux's lil' helper
Tux's lil' helper


Joined: 17 Jul 2008
Posts: 121
Location: Germany

PostPosted: Thu Sep 18, 2008 1:24 pm    Post subject: Epiphany - Webkit from Source did not compile Reply with quote

Hello i want to build epiphany with webkit engine and followed this instructions

http://gentoo-wiki.com/TIP_Building_Epiphany_Webkit_from_Source

but meanwhile it needed gtk+ >2.13... ang glib >2.17.5 etc. so i successfully emerged glib 2.18 and gtk+ 2.14.1

when i now compile epiphany using

Code:
svn co http://svn.webkit.org/repository/webkit/trunk webkit-trunk && svn co http://svn.gnome.org/svn/epiphany/trunk/ epiphany-trunk && cd ~/webkit-trunk/ && ./autogen.sh --prefix=/usr && make && make install && cd ~/epiphany-trunk/ && ./autogen.sh --prefix=/usr/local --with-engine=webkit && make && make install


i get following errors

Code:
make  all-am
make[5]: Entering directory `/root/epiphany-trunk/lib/egg'
make[5]: Leaving directory `/root/epiphany-trunk/lib/egg'
make[4]: Leaving directory `/root/epiphany-trunk/lib/egg'
make[4]: Entering directory `/root/epiphany-trunk/lib'
/bin/sh ../libtool --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I..  -I../lib -I../lib/egg -I../lib/egg -DSHARE_DIR=\"/usr/local/share/epiphany\" -DEXTENSIONS_DIR=\""/usr/local/lib/epiphany/2.23/extensions"\" -DG_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED -DGCONF_DISABLE_DEPRECATED -DLIBGLADE_DISABLE_DEPRECATED -DPANGO_DISABLE_DEPRECATED -DGNOME_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED  -DORBIT2=1 -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gio-unix-2.0/ -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/gtk-unix-print-2.0 -I/usr/include/libxml2 -I/usr/include/libgnome-2.0 -I/usr/include/orbit-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libbonobo-2.0 -I/usr/include/bonobo-activation-2.0 -I/usr/include/libgnomeui-2.0 -I/usr/include/libart-2.0 -I/usr/include/gnome-keyring-1 -I/usr/include/libbonoboui-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/gail-1.0 -I/usr/include/libglade-2.0 -I/usr/include/gnome-desktop-2.0 -I/usr/include/startup-notification-1.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare   -Wdeclaration-after-statement  -g -O2 -MT libephymisc_la-ephy-password-dialog.lo -MD -MP -MF .deps/libephymisc_la-ephy-password-dialog.Tpo -c -o libephymisc_la-ephy-password-dialog.lo `test -f 'ephy-password-dialog.c' || echo './'`ephy-password-dialog.c
 gcc -DHAVE_CONFIG_H -I. -I.. -I../lib -I../lib/egg -I../lib/egg -DSHARE_DIR=\"/usr/local/share/epiphany\" -DEXTENSIONS_DIR=\"/usr/local/lib/epiphany/2.23/extensions\" -DG_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED -DGCONF_DISABLE_DEPRECATED -DLIBGLADE_DISABLE_DEPRECATED -DPANGO_DISABLE_DEPRECATED -DGNOME_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DORBIT2=1 -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gio-unix-2.0/ -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/gtk-unix-print-2.0 -I/usr/include/libxml2 -I/usr/include/libgnome-2.0 -I/usr/include/orbit-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libbonobo-2.0 -I/usr/include/bonobo-activation-2.0 -I/usr/include/libgnomeui-2.0 -I/usr/include/libart-2.0 -I/usr/include/gnome-keyring-1 -I/usr/include/libbonoboui-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/gail-1.0 -I/usr/include/libglade-2.0 -I/usr/include/gnome-desktop-2.0 -I/usr/include/startup-notification-1.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare -Wdeclaration-after-statement -g -O2 -MT libephymisc_la-ephy-password-dialog.lo -MD -MP -MF .deps/libephymisc_la-ephy-password-dialog.Tpo -c ephy-password-dialog.c  -fPIC -DPIC -o .libs/libephymisc_la-ephy-password-dialog.o
In file included from ephy-password-dialog.h:29,
                 from ephy-password-dialog.c:40:
/usr/include/libgnomeui-2.0/libgnomeui/gnome-password-dialog.h:64: Error: expected �=�, �,�, �;�, �asm� or �__attribute__� before �gnome_password_dialog_get_type�
make[4]: *** [libephymisc_la-ephy-password-dialog.lo] Error 1
make[4]: Leaving directory `/root/epiphany-trunk/lib'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/root/epiphany-trunk/lib'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/root/epiphany-trunk/lib'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/root/epiphany-trunk'
make: *** [all] Error 2


help dont know what to do to get epiphany with webkit engine

it seams that it compiled and installed the webkit engine successfully but know it gives "GTK" errors while compiling epiphany
Back to top
View user's profile Send private message
temnozor
Tux's lil' helper
Tux's lil' helper


Joined: 17 Jul 2008
Posts: 121
Location: Germany

PostPosted: Thu Sep 18, 2008 2:33 pm    Post subject: Reply with quote

now i get when i

Code:
svn co http://svn.gnome.org/svn/epiphany/trunk/ epiphany-trunk && cd ~/epiphany-trunk/ && ./autogen.sh --prefix=/usr/local --with-engine=webkit && make && make install



this error message

Code:
automake-1.10: cannot open < gnome-doc-utils.make: File or dir not found


gnome-doc-utils is emerged

Code:
emerge --search gnome-doc-utils
Searching...   
[ Results for search key : gnome-doc-utils ]
[ Applications found : 1 ]
 
*  app-text/gnome-doc-utils
      Latest version available: 0.12.2-r1
      Latest version installed: 0.12.2-r1
      Size of files: 581 kB
      Homepage:      http://www.gnome.org/
      Description:   A collection of documentation utilities for the Gnome project
      License:       GPL-2 LGPL-2.1
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum